curl --request GET \
--url https://api.leadping.ai/organizations/me/invitations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/organizations/me/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/organizations/me/invitations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/organizations/me/invitations")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/organizations/me/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/organizations/me/invitations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/organizations/me/invitations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"email": "jsmith@example.com",
"role": "Owner",
"status": "Awaiting confirmation",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"resentAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"sendFailureReason": "<string>",
"licenseBillingStatus": "<string>",
"licenseQuantity": 123,
"licenseRenewalDate": "2023-11-07T05:31:56Z",
"licenseActivatedAt": "2023-11-07T05:31:56Z",
"licenseReleasedAt": "2023-11-07T05:31:56Z"
}
]{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}List invitations for the current organization
Lists pending and historical invitations for the current organization, including recipient, role, status, and expiration.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Response
Returns the list of organization invitation table row.
Unique Leadping identifier for this organization invitation.
Provides a compact API reference to another resource using its stable identifier and human-readable display name.
Show child attributes
Show child attributes
The email address associated with this organization invitation.
Identifies an organization member's access level and permission scope within Leadping.
Owner, Admin, Agent Describes the lifecycle of an organization membership invitation from issuance through acceptance, expiration, or revocation.
Awaiting confirmation, Pending, Accepted, Expired, Revoked, Resent, Failed to send UTC timestamp for created at on this organization invitation.
UTC timestamp for expires at on this organization invitation.
UTC timestamp for sent at on this organization invitation.
UTC timestamp for resent at on this organization invitation.
UTC timestamp for accepted at on this organization invitation.
UTC timestamp for revoked at on this organization invitation.
The human-readable send failure reason explaining this organization invitation.
The billing status for the paid license created by this invitation.
The quantity on the shared organization user license subscription item after this change.
The renewal date used for proration of this license.
The date and time this invitation's paid license was created.
The date and time this invitation's paid license was released.

